[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [rdiff-backup-users] librsync 1.0.0 incompatible with rdiff-backup

From: Adrian Klaver
Subject: Re: [rdiff-backup-users] librsync 1.0.0 incompatible with rdiff-backup
Date: Sat, 28 Mar 2015 15:14:59 -0700
User-agent: Mozilla/5.0 (X11; Linux i686; rv:31.0) Gecko/20100101 Thunderbird/31.5.0

On 03/28/2015 09:43 AM, Leszek Matok wrote:

librsync 1.0.0 just landed on my Fedora 21 which:
- breaks my existing rdiff-backup (it's librsync.so.2 now)
- breaks building of rdiff-backup.

Build errors are:
_librsyncmodule.c: In function ‘_librsync_new_sigmaker’:
_librsyncmodule.c:63:17: error: ‘RS_DEFAULT_STRONG_LEN’ undeclared
(first use in this function)
_librsyncmodule.c:63:17: note: each undeclared identifier is reported
only once for each function it appears in
_librsyncmodule.c:62:17: error: too few arguments to function
    sm->sig_job = rs_sig_begin((size_t)blocklen,
In file included from _librsyncmodule.c:25:0:
/usr/include/librsync.h:370:11: note: declared here
  rs_job_t *rs_sig_begin(size_t new_block_len,

Am assuming this is with librsync_1.0.0-dev or equivalent?

So far `yum downgrade librsync` helped me, but I probably won't be able
to have it at 0.9.7 forever?

Any patches floating around? Needless to say, rdiff-backup's site is not
the friendliest to the user :)

Might want to ask here:


Many thanks in advance,


rdiff-backup-users mailing list at address@hidden
Wiki URL: http://rdiff-backup.solutionsfirst.com.au/index.php/RdiffBackupWiki

Adrian Klaver

reply via email to

[Prev in Thread] Current Thread [Next in Thread]